
Smart Proxy - Bug #23917

TLS disabled versions in smart proxy should be converted to string

06/13/2018 12:09 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category:    

Target version: 1.17.2   

Difficulty:  Fixed in Releases: 1.18.0, 1.19.0

Triaged: No Found in Releases: 1.17.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/587,

https://github.com/theforeman/smart-pro

xy/pull/589,

https://github.com/theforeman/smart-pro

xy/pull/590

  

Description

If someone specifies settings in YAML like this:

```yaml

tls_disabled_versions:

- 1.1

```

Ruby will interpret it as a float.  Currently, it must be quoted.

@Ivan Necas [added a to_s to the dynflow smart proxy plugin](

https://github.com/theforeman/smart_proxy_dynflow/pull/43#pullrequestreview-92019342) to fix this,

this commit makes smart proxy behavior the same.

Related issues:

Related to Smart Proxy - Feature #21350: Allow restricting TLS version Closed

Associated revisions

Revision dfc29877 - 06/13/2018 12:30 PM - Stephen Benjamin

fixes #23917 - convert tls version to string

If someone specifies settings in YAML like this:

```yaml

tls_disabled_versions:

- 1.1

```

Ruby will interpret it as a float.  Currently, it must be quoted.

@inecas added a to_s to the dynflow smart proxy plugin to fix this,

this commit makes smart proxy behavior the same.

History

#1 - 06/13/2018 12:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/smart-proxy/pull/587 added

#2 - 06/13/2018 12:10 PM - Stephen Benjamin

- Related to Feature #21350: Allow restricting TLS version added
#3 - 06/13/2018 12:32 PM - Timo Goebel

- translation missing: en.field_release set to 360

#4 - 06/13/2018 12:49 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/589 added

#5 - 06/13/2018 12:49 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/590 added

#6 - 06/13/2018 01:01 PM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset dfc298773e0616dd1b01fc31e9a010dffa591adb.

#7 - 08/29/2018 03:46 PM - Tomer Brisker

- Triaged set to No

- Fixed in Releases 1.18.0, 1.19.0 added
